# ApiPerfInspectorPingArgs Data Model

Arguments to run ping test.

Properties
name | data type | description
--- | --- | ---
pingTimeoutSecs | number | Timeout in seconds for the ping request to each target host. If not specified, defaults to 10 seconds. Must be a value between 1 and 3600 seconds, inclusive.
pingCount | number | Number of iterations of the ping request to each target host. If not specified, defaults to 10 count.
pingPacketSizeBytes | number | Packet size in bytes for each ping request. If not specified, defaults to 56 bytes. Must be a value between 1 and 65507 bytes, inclusive.

Example

    {
      "pingTimeoutSecs" : 10,
      "pingCount" : 10,
      "pingPacketSizeBytes" : 56
    }